Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class SimpleExpression

    java.lang.Object
      org.hibernate.criterion.SimpleExpression

All Implemented Interfaces:
  Serializable, Criterion

    public class SimpleExpression

extends Object
implements Criterion

superclass for "simple" comparisons (with SQL binary operators)

See Also:
  Serialized Form

Constructor Summary
`protected` | `SimpleExpression(String propertyName, Object value, String op)`
`protected` | `SimpleExpression(String propertyName, Object value, String op, boolean ignoreCase)`

Method Summary
`protected String` | `getOp()`
`String` | `getPropertyName()`
`TypedValue[]` | `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)` Return typed values for all parameters in the rendered SQL fragment
`Object` | `getValue()`
`SimpleExpression` | `ignoreCase()`
`String` | `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleExpression

    protected SimpleExpression(String propertyName,
                               Object value,
                               String op)

### SimpleExpression

    protected SimpleExpression(String propertyName,
                               Object value,
                               String op,
                               boolean ignoreCase)

Method Detail

### ignoreCase

    public SimpleExpression ignoreCase()

### toSqlString

    public String toSqlString(Criteria criteria,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Criterion`
  Render the SQL fragment

  Specified by:
    `toSqlString` in interface `Criterion`
  Parameters:
    `criteria` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The generated SQL fragment
  Throws:
    `HibernateException` - Problem during rendering.

### getTypedValues

    public TypedValue[] getTypedValues(Criteria criteria,
                                       CriteriaQuery criteriaQuery)
                                throws HibernateException

  Description copied from interface: `Criterion`
  Return typed values for all parameters in the rendered SQL fragment

  Specified by:
    `getTypedValues` in interface `Criterion`
  Parameters:
    `criteria` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The types values (for binding)
  Throws:
    `HibernateException` - Problem determining types.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getOp

    protected final String getOp()

### getPropertyName

    public String getPropertyName()

### getValue

    public Object getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.